summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xtests/check-block.sh17
1 files changed, 7 insertions, 10 deletions
diff --git a/tests/check-block.sh b/tests/check-block.sh
index 9afeea5275..88e02453d2 100755
--- a/tests/check-block.sh
+++ b/tests/check-block.sh
@@ -1,21 +1,18 @@
#!/bin/sh
+if [ "$#" -eq 0 ]; then
+ echo "Usage: $0 fmt..." >&2
+ exit 99
+fi
+
# Honor the SPEED environment variable, just like we do it for "meson test"
-if [ "$SPEED" = "slow" ]; then
- format_list="raw qcow2"
- group=
-elif [ "$SPEED" = "thorough" ]; then
- format_list="raw qcow2 qed vmdk vpc"
+format_list="$@"
+if [ "$SPEED" = "slow" ] || [ "$SPEED" = "thorough" ]; then
group=
else
- format_list=qcow2
group="-g auto"
fi
-if [ "$#" -ne 0 ]; then
- format_list="$@"
-fi
-
skip() {
echo "$*"
exit 77